/*
 * GLOBAL STYLES & LAYOUT REFERENCE
 *
 * Source: MediaLoot Blog - "How to Code a Homepage Template with HTML5 and CSS3" by Tony Thomas
 * URL: https://medialoot.com/blog/how-to-code-a-homepage-template-with-html5-and-css3/
 *
 * Notes on Adaptation:
 * The general approach for global attributes (body, headings, links) is derived from this article.
 * Specifically, styles for 'strong' and 'small' elements are being explicitly redefined due to the use of a CSS reset.
*/
body {
  margin: 0;
  padding: 0;
  background-color: rgb(159, 93, 123);
  color: #ffffff;
  font: normal 16px "Times New Roman", Times, serif;
}
p {
  line-height: 20px;
  margin-bottom: 10px;
}
h1 {
  font-family: "Crete Round", serif;
  font-weight: bold;
  font-size: 45px;
  margin-bottom: 20px;
}
h2 {
  font-family: "Crete Round", serif;
  font-weight: 300;
  font-size: 45px;
  margin-bottom: 20px;
}
h3 {
  font-family: "Crete Round", serif;
  font-size: 30px;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 20px;
}
h4 {
  /* font-family: "Crete Round", serif; */
  font-size: 24px;
  font-weight: bold;

  margin-bottom: 10px;
}
h5 {
  font-size: 20px;
  font-weight: bold;
}
a {
  text-decoration: none;
}
strong {
  font-weight: bold;
}
small {
  font-size: 13px;
  color: #777;
  font-style: italic;
}
u {
  text-decoration: underline;
  color: rgba(251, 214, 4, 0.9);
}
.clear {
  clear: both;
}
.wrapper1 {
  margin: 0 auto;
  padding: 0 10px;
  width: 1200px;
}
#avatar {
  /* display: inline-block; */
  float: left;
  margin-left: 15rem;
  margin-right: 4rem;
  border-radius: 30px;
  height: 45px;
  width: 45px;
  border: 3px rgba(72, 116, 203, 0.8) solid;
  align-content: center;
}
header {
  position: fixed;
  background-color: rgb(248, 191, 48);
  /* #fee784; */
  width: 100%;
  height: 4rem;
  display: flex;
  align-items: center;
  z-index: 20;
}
nav li {
  display: inline-block;
}
nav {
  /* height: 4.5rem; */
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-weight: bold;
}
nav a:link,
nav a:visited {
  display: block;
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  width: 150px;
  padding: 5px 1px;
  margin: 5px;
  border-radius: 25px;
  background-color: rgba(72, 116, 203, 0.8);
  border: 2px white solid;
  align-content: center;
  text-align: center;
}
nav a:active,
nav a:hover {
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  background-color: rgb(249, 82, 177);
}
/* Hero Images */
#sales-hero-image {
  padding-top: 150px;
  height: 300px;
  width: 100%;
  background: url("../images/steam-autumn-sale-2025-1536.png") no-repeat center;
  background-size: cover;
}

/* Table */
main {
  padding-top: 50px;
}
main h2 {
  text-align: center;
}
table {
  table-layout: fixed;
  width: 100%;
  margin-bottom: 50px;
}

tr,
th,
td {
  border: 1px white solid;
}
tr {
  display: flex;
  align-items: start;
  margin: 10px;
}
td {
  height: 140px;
}

th {
  height: 50px;
  font-size: 24px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(157, 68, 108);
}
.sales-pic {
  width: 345px;
}
.sales-pic img {
  width: 345px;
  height: 160px;
}
th.sales-pic {
  padding: 0 5px;
}
.sales-basic-info {
  width: 600px;
}
.sales-prices {
  width: 235px;
}
td.sales-basic-info {
  padding: 10px;
}
th.sales-basic-info {
  padding: 0 10px;
}

.platform img {
  height: 25px;
  width: 25px;
  margin: 0 5px;
}
.sales-game-tags > span {
  border: 1px white solid;
  border-radius: 5px;
  padding: 4px;
  color: white;
  background-color: rgba(248, 51, 146, 0.5);
  box-shadow: 1px 1px 3px rgb(108, 11, 37);
}
.sales-game-tags > span:hover {
  border: 1px white solid;
  border-radius: 5px;
  padding: 4px;
  color: white;
  background-color: rgba(51, 241, 248, 0.5);
  box-shadow: 1px 1px 3px rgb(22, 111, 129);
}
td.sales-prices {
  padding: 10px 0;
  text-align: center;
}

.original-price {
  text-decoration: line-through gold 2px;
  font-family: Georgia, "Times New Roman", Times, serif;
}
.current-price {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 22px;
  padding-left: 20px;
  text-decoration: underline;
}

.discount {
  background-color: rgba(25, 121, 177, 0.6);
  padding: 2px 4px;
  border: 1px white dotted;
  border-radius: 3px;
  box-shadow: 1px 1px 2px rgb(10, 103, 56);
}

.sales-prices > div {
  display: inline-block;
  transform: rotate(20deg);
  font-size: 25px;
}

.sales-rows:hover {
  background-color: #901818;
}
/* Footer */
footer {
  background-color: rgba(151, 131, 166);
  width: 100%;
  overflow: hidden;
}
footer div {
  margin-right: 2rem;
  padding: 20px 20px;
}
#footer-info {
  padding: 20px 20px;
  float: left;
}
#footer-info p {
  color: white;
}

#footer-links {
  float: right;
  width: 300px;
}
#footer-links li {
  padding-top: 5px;
  display: inline-block;
}
#footer-links h5 {
  color: white;
  margin-bottom: 5px;
}

.contact-button img {
  padding-right: 20px;
  width: 40px;
  height: 40px;
}
